<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
    <head>
        <title>Virtual Teacher</title>
        <!-- Required meta tags -->
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

        <!-- Bootstrap CSS -->
        <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    </head>
    <body>
        <nav class="navbar navbar-expand navbar-light bg-light">
            <a class="navbar-brand col-sm-3" th:href="@{/home}">Virtual Teacher</a>
        </nav>
        <div class="container">
            <div class="row mt-3">
                <div sec:authorize="isAnonymous()" class="col-6 offset-3">
                    <div class="card">
                        <div class="card-body">
                            <p>
                                <i class="text-danger" th:if="${param.error}">Wrong username or password.</i>
                                <i class="text-success" th:if="${param.logout}">You have been logged out.</i>
                            </p>
                            <!-- Only show this form if user is not authenticated -->
                            <form th:action="@{/authenticate}" method="post">
                                <div class="form-group">
                                    <label>Username</label>
                                    <input class="form-control" type="text" id="username" name="username" placeholder="Enter username"/>
                                </div>
                                <div class="form-group">
                                    <label>Password</label>
                                    <input class="form-control" type="password" id="password" name="password" placeholder="Enter password"/>
                                </div>
                                <button type="submit" class="btn btn-primary">Login</button>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </body>
</html>